Subject: Re: bug#57572: 29.0.50; Tramp error with tramp-file-name-unify

From: Michael Albinus <[email-masked]>
Date: Sun, 11 Sep 2022 14:58:22 +0200

Thierry Volpiatto <[email-masked]> writes:

Hi Thierry,

>> The patch I've shown to you yesterday solves your helm-find-files
>> case,
>
> Finally could apply the patch and I confirm it fixes the error.

Thanks for the feedback.

>> but the Tramp testsuite fails. I'm analyzing what's up.

Finally, I've fixed this. I don't check any longer for `non-essential'.
Instead, the Tramp cache is disabled when it is invoked with a relative
file name. This seems to be more robust, and it passes both
helm-find-files and the Tramp testsuite check.

Pushed to master. Could you give it a try?

Best regards, Michael.